FIXMOUNT(8) | System Manager's Manual | FIXMOUNT(8)

# NAME

fixmount - fix remote mount entries

# SYNOPSIS

fixmount [ -adervq ] [ -h name ] host ...

# DESCRIPTION

fixmount is a variant of showmount(8) that can delete bogus mount entries in remote mountd(8) daemons. The actions specified by the options are performed for each host in turn.

# OPTIONS

-a -d -e
  These options work as in showmount(8) except that only entries pertaining to the local host are printed.
-r
  Removes those remote mount entries on host that do not correspond to current mounts, i.e., which are left-over from a crash or are the result of improper mount protocol.
-v
  Verify remote mounts. Similar to -r except that only a notification message is printed for each bogus entry found. The remote mount table is not changed.
-A
  Issues a command to the remote mountd declaring that ALL of its filesystems have been unmounted. This should be used with caution, as it removes all remote mount entries pertaining to the local system, whether or not any filesystems are still mounted locally.
-q
  Be quiet. Suppresses error messages due to timeouts and "Program not registered", i.e., due to remote hosts not supporting RPC or not running mountd.
-h name
  Pretend the local hostname is name. This option also saves time as comparisons of remotely recorded and local hostnames by address are avoided.

# SEE ALSO

showmount(8), mountd(8C).

``am-utils'' info(1) entry.

Linux NFS and Automounter Administration by Erez Zadok, ISBN 0-7821-2739-8, (Sybex, 2001).

http://www.am-utils.org

Amd - The 4.4 BSD Automounter

# BUGS

The RPC timeouts for mountd calls can only be changed by recompiling. The defaults are 2 seconds for client handle creation and 5 seconds for RPC calls.

# AUTHORS

Andreas Stolcke <stolcke@icsi.berkeley.edu>.

Erez Zadok <ezk@cs.sunysb.edu>, Computer Science Department, Stony Brook University, Stony Brook, New York, USA.

Other authors and contributors to am-utils are listed in the AUTHORS file distributed with am-utils.

21 Apr 2018 |